=== debian/control ===
Source: btrfs-tools
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
Build-Depends: debhelper (>= 9),
               e2fslibs-dev,
               libacl1-dev,
               libblkid-dev,
               liblzo2-dev,
               uuid-dev,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://btrfs.wiki.kernel.org/

Package: btrfs-tools
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Checksumming Copy on Write Filesystem utilities
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains utilities (mkfs, fsck) used to work with btrfs
 and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.

Package: btrfs-tools-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Checksumming Copy on Write Filesystem utilities (udeb)

Package: btrfs-tools-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: btrfs-tools (= ${binary:Version}), ${misc:Depends}
Description: Checksumming Copy on Write Filesystem utilities (debug)
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains the debugging symbols.
