=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: btrfs-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
+Maintainer: Dimitri John Ledkov <xnox@debian.org>
 Build-Depends: debhelper (>= 9),
                e2fslibs-dev,
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
                uuid-dev,
-               zlib1g-dev
+               zlib1g-dev,
+               asciidoc,
+               xmlto,
 Standards-Version: 3.9.5
 Homepage: http://btrfs.wiki.kernel.org/
