## btrfs-tools 4.0

=== debian/changelog ===
btrfs-tools (4.0-2~nd90+1+nd17.04+1) zesty; urgency=medium

  * Backported for zesty.

 -- unamed <unknown>  Mon, 08 May 2017 00:29:23 -0400

btrfs-tools (4.0-2~nd90+1) stretch; urgency=low

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 25 Jun 2015 11:55:27 -0400

btrfs-tools (4.0-2) unstable; urgency=medium

  * Adjust initramfs hooks and udev rules for move of all binaries to
    /bin. (Closes: #784234)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 04 May 2015 18:51:07 +0100

btrfs-tools (4.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches.
  * Experiment with dropping udev rules, in favour of systemd-udev builtin
    integration. (Closes: #772744)
  * Move all binaries to /bin (Closes: #770806)
  * Switch to autoconf based build system.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 18 Jan 2015 00:14:20 +0000
