=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: btrfs-tools
 Section: admin
 Priority: optional
-Maintainer: Dimitri John Ledkov <xnox@debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
 Build-Depends: debhelper (>= 9),
                e2fslibs-dev,
+               pkg-config,
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
@@ -16,7 +18,7 @@
 
 Package: btrfs-tools
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
@@ -29,14 +31,14 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
 
 Package: btrfs-tools-dbg
 Section: debug
 Priority: extra
 Architecture: linux-any
-Depends: btrfs-tools (= ${binary:Version}), ${misc:Depends}
+Depends: neurodebian-popularity-contest, btrfs-tools (= ${binary:Version}), ${misc:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (debug)
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
