## btrfs-tools 4.4

=== debian/changelog ===
btrfs-tools (4.4-1ubuntu1.1) xenial; urgency=medium

  * Add `Provides: btrfs-progs` to btrfs-tools as a more common upstream
    name for the package, which started to be used by default in bionic
    and later. This helps users to install the btrfs utility irrespective
    if they use legacy or the futureproof name. LP: #1839500

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 08 Aug 2019 16:30:00 +0100

btrfs-tools (4.4-1ubuntu1) xenial; urgency=medium

  * debian/patches/09c052a8b4dcaa96fe5e6c28b12ce24729e827a4.patch:
    backport upstream commit to add new "quiet option" and prevent printing of
    messages on stderr (LP: #1694891)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 Jun 2017 19:48:16 +0200

btrfs-tools (4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 19 Jan 2016 19:03:41 +0000

btrfs-tools (4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 07 Nov 2015 11:27:13 +0000

btrfs-tools (4.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 24 Oct 2015 00:09:28 +0100
