=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: btrfs-tools
 Section: admin
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
 Build-Depends: debhelper (>= 9),
                e2fslibs-dev,
                pkg-config,
@@ -18,7 +18,8 @@
 
 Package: btrfs-tools
 Architecture: linux-any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: btrfs-progs
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
@@ -31,14 +32,14 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: linux-any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
 
 Package: btrfs-tools-dbg
 Section: debug
 Priority: extra
 Architecture: linux-any
-Depends: neurodebian-popularity-contest, btrfs-tools (= ${binary:Version}), ${misc:Depends}
+Depends: btrfs-tools (= ${binary:Version}), ${misc:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (debug)
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
